# Generated by go2rpm
%bcond_without check

# https://github.com/docker/libkv
%global goipath         github.com/docker/libkv
Version:                0.2.1

%gometa

%global common_description %{expand:
Libkv provides a Go native library to store metadata.

The goal of Libkv is to abstract common store operations for multiple
distributed and/or local Key/Value store backends.

For example, you can use it to store your metadata or for service discovery to
register machines and endpoints inside your cluster.

You can also easily implement a generic Leader Election on top of it (see the
docker/leadership repository).

As of now, Libkv offers support for Consul, Etcd, Zookeeper (Distributed store)
and BoltDB (Local store).}

%global golicenses      LICENSE.code LICENSE.docs
%global godocs          docs README.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Distributed key/value store abstraction library

# Upstream license specification: CC-BY-SA-4.0 and Apache-2.0
License:        CC-BY-SA and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/boltdb/bolt)
BuildRequires:  golang(github.com/coreos/etcd/client)
BuildRequires:  golang(github.com/hashicorp/consul/api)
BuildRequires:  golang(github.com/samuel/go-zookeeper/zk)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(golang.org/x/net/context)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
# store/consul, store/zookeeper: needs network
# store/etcd: needs etcd
%gocheck -d store/consul -d store/etcd -d store/zookeeper
%endif

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 05 01:20:12 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.1-1
- Release 0.2.1

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.gitb68985b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.gitb68985b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gitb68985b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.gitb68985b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.gitb68985b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.gitb68985b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.gitb68985b
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.gitb68985b
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.gitb68985b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.gitb68985b
- Update to spec-2.1
  resolves: #1250458

* Tue Jul 28 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitb68985b
- First package for Fedora
  resolves: #1246766
